Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider.test
Class KeyStoreTest

    java.lang.Object
      org.bouncycastle.util.test.SimpleTest
          org.bouncycastle.jce.provider.test.KeyStoreTest

All Implemented Interfaces:
  Test

    public class KeyStoreTest

extends SimpleTest

Exercise the various key stores, making sure we at least get back what we put in!

This tests both the BKS, and the UBER key store.

Constructor Summary
`KeyStoreTest()`

Method Summary
`void` `ecStoreTest(java.lang.String storeName)`
`java.lang.String` `getName()`
`void` `keyStoreTest(java.lang.String storeName)`
`static void` `main(java.lang.String[] args)`
`void` `performTest()`

Methods inherited from class org.bouncycastle.util.test.SimpleTest
`areEqual, fail, fail, fail, perform, runTest, runTest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyStoreTest

    public KeyStoreTest()

Method Detail

### ecStoreTest

    public void ecStoreTest(java.lang.String storeName)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### keyStoreTest

    public void keyStoreTest(java.lang.String storeName)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Test`
  Specified by:
    `getName` in class `SimpleTest`

### performTest

    public void performTest()
                     throws java.lang.Exception

  Specified by:
    `performTest` in class `SimpleTest`
  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)

Bouncy Castle Cryptography Library 1.45